<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.7.18</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>

	<groupId>cokr.xit.app</groupId>
	<artifactId>fims-service</artifactId>
	<version>1.0.0-SNAPSHOT</version>
	<name>fims-service</name>
	<description>과태료통합관리시스템 서비스</description>
	<packaging>jar</packaging>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<java.version>17</java.version>
	    <maven.compiler.source>${java.version}</maven.compiler.source>
	    <maven.compiler.target>${java.version}</maven.compiler.target>
	</properties>

	<repositories>
		<repository>
			<id>maven-public</id>
			<url>https://nas.xit.co.kr:8888/repository/maven-public/</url>
		</repository>
	</repositories>

	<pluginRepositories>
    	<pluginRepository>
	        <id>maven-public</id>
	        <url>https://nas.xit.co.kr:8888/repository/maven-public/</url>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
			<releases>
				<enabled>false</enabled>
			</releases>
	    </pluginRepository>
	</pluginRepositories>

	<dependencies>

		<!-- 1.앱 지원 -->
		<dependency>
			<groupId>cokr.xit.app</groupId>
			<artifactId>app-support-java</artifactId>
			<version>1.0.0-SNAPSHOT</version>
		</dependency>
<!--
		<dependency>
			<groupId>cokr.xit.base</groupId>
			<artifactId>xit-base</artifactId>
			<version>23.04.01-SNAPSHOT</version>
		</dependency>
-->
		<!-- 2.xit-base-starter -->
		<dependency>
			<groupId>cokr.xit.boot</groupId>
			<artifactId>xit-base-starter</artifactId>
			<version>23.04.01-SNAPSHOT</version>
		</dependency>

		<!-- 시스템로그 -->
	    <dependency>
			<groupId>cokr.xit.base</groupId>
			<artifactId>xit-syslog</artifactId>
			<version>23.04.01-SNAPSHOT</version>
		</dependency>

		<!-- 마리아DB -->
		<dependency>
			<groupId>org.mariadb.jdbc</groupId>
			<artifactId>mariadb-java-client</artifactId>
			<scope>runtime</scope>
		</dependency>

		<!-- FTP 라이브러리 -->
		<dependency>
		    <groupId>commons-net</groupId>
		    <artifactId>commons-net</artifactId>
		    <version>3.10.0</version>
		</dependency>
		<dependency>
		    <groupId>commons-discovery</groupId>
		    <artifactId>commons-discovery</artifactId>
		    <version>0.5</version>
		</dependency>
		<!-- SFTP 라이브러리 -->
		<dependency>
		    <groupId>com.github.mwiede</groupId>
		    <artifactId>jsch</artifactId>
		    <version>0.1.72</version>
		</dependency>

		<!-- 자망연계 -->
		<dependency>
			<groupId>cokr.xit.interfaces</groupId>
			<artifactId>xit-lvis</artifactId>
			<version>24.06.01-SNAPSHOT</version>
		</dependency>

		<!-- 999.암복호화 -->
		<dependency>
			<groupId>cokr.xit.base</groupId>
			<artifactId>xit-crypto</artifactId>
			<version>23.04.01-SNAPSHOT</version>
		</dependency>

		<!-- 장애인 표지 조회 -->
		<dependency>
			<groupId>cokr.xit.interfaces</groupId>
			<artifactId>xit-disabled-parking</artifactId>
			<version>23.04.01-SNAPSHOT</version>
		</dependency>

		<!-- TODO : 전기차 여부 연계 -->
		<!-- <dependency>
			<groupId></groupId>
			<artifactId></artifactId>
			<version></version>
		</dependency> -->

		<!-- TODO : 미세먼지(mecar) 연계 -->
		<!-- <dependency>
			<groupId></groupId>
			<artifactId></artifactId>
			<version></version>
		</dependency> -->

		<!-- 국민신문고 -->
		<dependency>
			<groupId>cokr.xit.interfaces</groupId>
			<artifactId>xit-smg</artifactId>
			<version>23.04.01-SNAPSHOT</version>
		</dependency>

		<!-- TODO : 새올 민원 연계
		<dependency>
			<groupId></groupId>
			<artifactId></artifactId>
			<version></version>
		</dependency> -->

		<!-- 차세대세외수입 개별시스템 연계 -->
		<dependency>
			<groupId>cokr.xit.interfaces.lntris</groupId>
			<artifactId>xit-lntris-basic</artifactId>
			<version>23.04.01-SNAPSHOT</version>
		</dependency>
		<!-- 차세대세외수입 특화시스템 연계 -->
		<dependency>
			<groupId>cokr.xit.interfaces.lntris</groupId>
			<artifactId>xit-lntris-special</artifactId>
			<version>23.04.01-SNAPSHOT</version>
		</dependency>
		<!-- 서울 세외수입 연계 -->
		<dependency>
			<groupId>javax.xml.soap</groupId>
			<artifactId>javax.xml.soap-api</artifactId>
			<version>1.4.0</version>
		</dependency>
		<dependency>
			<groupId>cokr.xit.interfaces</groupId>
			<artifactId>xit-sntris</artifactId>
			<version>23.04.01-SNAPSHOT</version>
		</dependency>

		<!-- epost 연계 
		<dependency>
			<groupId>cokr.xit.interfaces</groupId>
			<artifactId>xit-epost</artifactId>
			<version>23.04.01-SNAPSHOT</version>
		</dependency> -->

		<!-- 포스트플러스 연계 -->
		<dependency>
			<groupId>cokr.xit.interfaces</groupId>
			<artifactId>xit-postplus</artifactId>
			<version>23.04.01-SNAPSHOT</version>
		</dependency>

		<!-- PDF 라이브러리 -->
		<dependency>
		    <groupId>org.apache.pdfbox</groupId>
		    <artifactId>pdfbox</artifactId>
		    <version>3.0.2</version>
		</dependency>

		<!-- 바코드 관련 -->
		<dependency>
		    <groupId>com.google.zxing</groupId>
		    <artifactId>core</artifactId>
		    <version>3.5.3</version>
		</dependency>
		<dependency>
			<groupId>com.google.zxing</groupId>
			<artifactId>javase</artifactId>
			<version>3.5.3</version>
		</dependency>

	</dependencies>

	<build>
        <defaultGoal>install</defaultGoal>
        <directory>${basedir}/target</directory>
        <finalName>${project.artifactId}-${project.version}</finalName>

        <resources>
        	<resource>
				<directory>${basedir}/src/main/resources</directory>
			</resource>
        </resources>

        <testResources>
        	<testResource><directory>${basedir}/src/test/resources</directory></testResource>
        	<testResource><directory>${basedir}/src/main/resources</directory></testResource>
        </testResources>

        <pluginManagement>
            <plugins>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-resources-plugin</artifactId>
					<version>3.3.1</version>
					<configuration>
						<includeEmptyDirs>true</includeEmptyDirs>
					</configuration>
				</plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <configuration>
                        <source>${java.version}</source>
                        <target>${java.version}</target>
                        <encoding>UTF-8</encoding>
                    </configuration>
                </plugin>
                <!-- EMMA -->
                <plugin>
                    <groupId>org.codehaus.mojo</groupId>
                    <artifactId>emma-maven-plugin</artifactId>
                    <version>1.0-alpha-3</version>
                </plugin>
                <!-- PMD manven plugin -->
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-pmd-plugin</artifactId>
                    <version>3.1</version>
                </plugin>
            </plugins>
        </pluginManagement>
        <plugins>
			<plugin>
			    <groupId>org.apache.maven.plugins</groupId>
			    <artifactId>maven-jar-plugin</artifactId>
			    <version>3.3.0</version>
				<configuration>
					<includes>
						<include>**/*.*</include>
					</includes>
				</configuration>
			</plugin>
            <!-- EMMA -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
			    <version>3.0.0</version>
                <configuration>
                    <skipTests>true</skipTests>
                    <reportFormat>xml</reportFormat>
                    <excludes>
                        <exclude>**/Abstract*.java</exclude>
                        <exclude>**/*Suite.java</exclude>
                    </excludes>
                    <includes>
                        <include>**/*Test.java</include>
                    </includes>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>emma-maven-plugin</artifactId>
                <inherited>true</inherited>
            </plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-source-plugin</artifactId>
				<version>2.2</version>
				<executions>
					<execution>
						<id>attach-sources</id>
						<goals>
							<goal>jar</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
            <!-- Javadoc -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-javadoc-plugin</artifactId>
                <version>2.9.1</version>
            </plugin>

        </plugins>
    </build>

	<!-- Nexus deploy -->
	<distributionManagement>
		<snapshotRepository>
			<id>maven-snapshot</id>
			<url>https://nas.xit.co.kr:8888/repository/maven-snapshots/</url>
		</snapshotRepository>

		<repository>
			<id>maven-release</id>
			<url>https://nas.xit.co.kr:8888/repository/maven-releases/</url>
		</repository>
	</distributionManagement>
	<!-- Nexus deploy -->

</project>